
Redmine - Defect #11738

Batch update of issues clears project path

2012-08-30 09:36 - Lorenz Breu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version: 2.0.3

Description

The following just happened:

1. opened project

2. opened list of issues

3. set filter to show all with status "Resolved on Dev"

4. selected all issues, right clicked, batch set "% Done" to 100%

5. list reloaded, but in root, not in project, so all issues of all projects with the given status where listed, of course I didn't realize at

the time...

6. selected all again and batch updated status to "Resolved on Test"

7. made some other developers a bit angry and had to restore yesterday's backup of our Redmine system

I have done this procedure before but never noticed this behaviour. Has anybody else noticed it? Is it a configuration problem? Our

setup is pretty basic, though...

We are using:

Environment:

  Redmine version                          2.0.3.stable

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.6

  Environment                              production

  Database adapter                         PostgreSQL

Redmine plugins:

  no plugin installed

History

#1 - 2012-08-30 12:17 - Lorenz Breu

New insight:

Seems that it happens when issues of both a project and a subproject are updated at the same time...

#2 - 2012-08-30 12:20 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Reproduced on demo.

#3 - 2012-08-30 12:21 - Etienne Massip

- Subject changed from Batch update of issues clears project-filter to Batch update of issues clears project path

#4 - 2012-09-02 17:05 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.1.0

- Resolution set to Fixed
Confirmed with 2.0-stable but fixed in current trunk.
